## podman 1.8.0~1

=== Makefile ===
export GO111MODULE=off
export GOPROXY=https://proxy.golang.org

GO ?= go
DESTDIR ?=
EPOCH_TEST_COMMIT ?= $(shell git merge-base HEAD $${DEST_BRANCH:-master})
HEAD ?= HEAD
CHANGELOG_BASE ?= HEAD~
CHANGELOG_TARGET ?= HEAD
PROJECT := github.com/containers/libpod
GIT_BASE_BRANCH ?= origin/master
GIT_BRANCH ?= $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN ?= $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g")
LIBPOD_IMAGE ?= libpod_dev$(if $(GIT_BRANCH_CLEAN),:$(GIT_BRANCH_CLEAN))
LIBPOD_INSTANCE := libpod_dev
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
LIBEXECDIR ?= ${PREFIX}/libexec
MANDIR ?= ${PREFIX}/share/man
SHAREDIR_CONTAINERS ?= ${PREFIX}/share/containers
ETCDIR ?= /etc
TMPFILESDIR ?= ${PREFIX}/lib/tmpfiles.d
SYSTEMDDIR ?= ${PREFIX}/lib/systemd/system
USERSYSTEMDDIR ?= ${PREFIX}/lib/systemd/user
BUILDTAGS ?= \
	$(shell hack/apparmor_tag.sh) \
	$(shell hack/btrfs_installed_tag.sh) \
	$(shell hack/btrfs_tag.sh) \
	$(shell hack/selinux_tag.sh) \
	$(shell hack/systemd_tag.sh) \
	exclude_graphdriver_devicemapper \
	seccomp \
	varlink
PYTHON ?= $(shell command -v python3 python|head -n1)
PKG_MANAGER ?= $(shell command -v dnf yum|head -n1)
# ~/.local/bin is not in PATH on all systems
PRE_COMMIT = $(shell command -v bin/venv/bin/pre-commit ~/.local/bin/pre-commit pre-commit | head -n1)

SOURCES = $(shell find . -name "*.go")

GO_BUILD=$(GO) build
# Go module support: set `-mod=vendor` to use the vendored sources
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
endif

BUILDTAGS_CROSS ?= containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper exclude_graphdriver_overlay
ifneq (,$(findstring varlink,$(BUILDTAGS)))
	PODMAN_VARLINK_DEPENDENCIES = cmd/podman/varlink/iopodman.go
endif
CONTAINER_RUNTIME := $(shell command -v podman 2> /dev/null || echo docker)
OCI_RUNTIME ?= ""

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})
DATE_FMT = %s
ifdef SOURCE_DATE_EPOCH
	BUILD_INFO ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
	ISODATE ?= $(shell date -d "@$(SOURCE_DATE_EPOCH)" --iso-8601)
else
	BUILD_INFO ?= $(shell date "+$(DATE_FMT)")
	ISODATE ?= $(shell date --iso-8601)
endif
LIBPOD := ${PROJECT}/libpod
GCFLAGS ?= all=-trimpath=${PWD}
ASMFLAGS ?= all=-trimpath=${PWD}
LDFLAGS_PODMAN ?= \
	  -X $(LIBPOD)/define.gitCommit=$(GIT_COMMIT) \
	  -X $(LIBPOD)/define.buildInfo=$(BUILD_INFO) \
	  -X $(LIBPOD)/config._installPrefix=$(PREFIX) \
	  -X $(LIBPOD)/config._etcDir=$(ETCDIR) \
	  -extldflags "$(LDFLAGS)"
#Update to LIBSECCOMP_COMMIT should reflect in Dockerfile too.
LIBSECCOMP_COMMIT := v2.3.3
# Rarely if ever should integration tests take more than 50min,
# caller may override in special circumstances if needed.
GINKGOTIMEOUT ?= -timeout=90m

RELEASE_VERSION ?= $(shell hack/get_release_info.sh VERSION)
RELEASE_NUMBER ?= $(shell hack/get_release_info.sh NUMBER|sed -e 's/^v\(.*\)/\1/')
RELEASE_DIST ?= $(shell hack/get_release_info.sh DIST)
RELEASE_DIST_VER ?= $(shell hack/get_release_info.sh DIST_VER)
RELEASE_ARCH ?= $(shell hack/get_release_info.sh ARCH)
RELEASE_BASENAME := $(shell hack/get_release_info.sh BASENAME)

# If non-empty, logs all output from varlink during remote system testing
VARLINK_LOG ?=

# If GOPATH not specified, use one in the local directory
ifeq ($(GOPATH),)
export GOPATH := $(CURDIR)/_output
unexport GOBIN
endif
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
GOPKGDIR := $(FIRST_GOPATH)/src/$(PROJECT)
GOPKGBASEDIR ?= $(shell dirname "$(GOPKGDIR)")

GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(FIRST_GOPATH)/bin
endif

GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')

CROSS_BUILD_TARGETS := \
	bin/podman.cross.darwin.amd64 \
	bin/podman.cross.linux.amd64

.PHONY: all
all: binaries docs

.PHONY: default
default: help

define PRINT_HELP_PYSCRIPT
import re, sys

print("Usage: make <target>")
cmds = {}
for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
	  target, help = match.groups()
	  cmds.update({target: help})
for cmd in sorted(cmds):
		print(" * '%s' - %s" % (cmd, cmds[cmd]))
endef
export PRINT_HELP_PYSCRIPT

.PHONY: help
help:
	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

.gopathok:
ifeq ("$(wildcard $(GOPKGDIR))","")
	mkdir -p "$(GOPKGBASEDIR)"
	ln -sfn "$(CURDIR)" "$(GOPKGDIR)"
	ln -sfn "$(CURDIR)/vendor/github.com/varlink" "$(FIRST_GOPATH)/src/github.com/varlink"
endif
	touch $@

.PHONY: lint
lint: golangci-lint
ifeq ($(PRE_COMMIT),)
	@echo "FATAL: pre-commit was not found, check https://pre-commit.com/ about installing it." >&2
	@exit 2
endif
	$(PRE_COMMIT) run -a

.PHONY: golangci-lint
golangci-lint: .gopathok varlink_generate .install.golangci-lint
	$(GOBIN)/golangci-lint run

.PHONY: gofmt
gofmt: ## Verify the source code gofmt
	find . -name '*.go' ! -path './vendor/*' -exec gofmt -s -w {} \+
	git diff --exit-code

.PHONY: test/checkseccomp/checkseccomp
test/checkseccomp/checkseccomp: .gopathok $(wildcard test/checkseccomp/*.go)
	$(GO_BUILD) -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ $(PROJECT)/test/checkseccomp

.PHONY: test/goecho/goechoe
test/goecho/goecho: .gopathok $(wildcard test/goecho/*.go)
	$(GO_BUILD) -ldflags '$(LDFLAGS_PODMAN)' -o $@ $(PROJECT)/test/goecho


.PHONY: bin/podman
bin/podman: .gopathok $(SOURCES) go.mod go.sum $(PODMAN_VARLINK_DEPENDENCIES) ## Build with podman
# Make sure to warn in case we're building without the systemd buildtag.
ifeq (,$(findstring systemd,$(BUILDTAGS)))
	@echo "Podman is being compiled without the systemd build tag. Install libsystemd on \
		Ubuntu or systemd-devel on rpm based distro for journald support."
endif
	$(GO_BUILD) $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ $(PROJECT)/cmd/podman

.PHONY: podman
podman: bin/podman

.PHONY: bin/podman-remote
bin/podman-remote: .gopathok $(SOURCES) go.mod go.sum $(PODMAN_VARLINK_DEPENDENCIES) ## Build with podman on remote environment
	$(GO_BUILD) $(BUILDFLAGS) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS) remoteclient" -o $@ $(PROJECT)/cmd/podman

.PHONY: podman-remote
podman-remote: bin/podman-remote

.PHONY: podman.msi
podman.msi: podman-remote podman-remote-windows install-podman-remote-windows-docs ## Will always rebuild exe as there is no podman-remote-windows.exe target to verify timestamp
	$(eval DOCFILE := docs/build/remote/windows)
	find $(DOCFILE) -print \
	|wixl-heat --var var.ManSourceDir --component-group ManFiles --directory-ref INSTALLDIR --prefix $(DOCFILE)/ >$(DOCFILE)/pages.wsx
	wixl -D VERSION=$(RELEASE_NUMBER) -D ManSourceDir=$(DOCFILE) -o podman-v$(RELEASE_NUMBER).msi contrib/msi/podman.wxs $(DOCFILE)/pages.wsx

podman-remote-%: .gopathok $(PODMAN_VARLINK_DEPENDENCIES) ## Build podman for a specific GOOS
	$(eval BINSFX := $(shell test "$*" != "windows" || echo ".exe"))
	CGO_ENABLED=0 GOOS=$* $(GO_BUILD) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags "remoteclient containers_image_openpgp exclude_graphdriver_devicemapper" -o bin/$@$(BINSFX) $(PROJECT)/cmd/podman

local-cross: $(CROSS_BUILD_TARGETS) ## Cross local compilation

bin/podman.cross.%: .gopathok
	TARGET="$*"; \
	GOOS="$${TARGET%%.*}" \
	GOARCH="$${TARGET##*.}" \
	$(GO_BUILD) -gcflags '$(GCFLAGS)' -asmflags '$(ASMFLAGS)' -ldflags '$(LDFLAGS_PODMAN)' -tags '$(BUILDTAGS_CROSS)' -o "$@" $(PROJECT)/cmd/podman

.PHONY: run-docker-py-tests
run-docker-py-tests:
	$(eval testLogs=$(shell mktemp))
	./bin/podman run --rm --security-opt label=disable --privileged -v $(testLogs):/testLogs --net=host -e DOCKER_HOST=tcp://localhost:8080 $(DOCKERPY_IMAGE) sh -c "pytest $(DOCKERPY_TEST) "

pkg/api/swagger.yaml: .gopathok release.txt
	make -C pkg/api

.PHONY: swagger
swagger: pkg/api/swagger.yaml

.PHONY: clean
clean: ## Clean artifacts
	rm -rf \
		.gopathok \
		_output \
		release.txt \
		$(wildcard podman-remote*.zip) \
		$(wildcard podman*.tar.gz) \
		bin \
		build \
		test/checkseccomp/checkseccomp \
		test/goecho/goecho \
		test/testdata/redis-image \
		cmd/podman/varlink/iopodman.go \
		libpod/container_ffjson.go \
		libpod/pod_ffjson.go \
		libpod/container_easyjson.go \
		libpod/pod_easyjson.go \
		docs/build

.PHONY: libpodimage
libpodimage: ## Build the libpod image
	${CONTAINER_RUNTIME} build -t ${LIBPOD_IMAGE} .

.PHONY: dbuild
dbuild: libpodimage
	${CONTAINER_RUNTIME} run --name=${LIBPOD_INSTANCE} --privileged -v ${PWD}:/go/src/${PROJECT} --rm ${LIBPOD_IMAGE} make all

.PHONY: dbuild-podman-remote
dbuild-podman-remote: libpodimage
	${CONTAINER_RUNTIME} run --name=${LIBPOD_INSTANCE} --privileged -v ${PWD}:/go/src/${PROJECT} --rm ${LIBPOD_IMAGE} go build -ldflags '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS) remoteclient" -o bin/podman-remote $(PROJECT)/cmd/podman

.PHONY: dbuild-podman-remote-darwin
dbuild-podman-remote-darwin: libpodimage
	${CONTAINER_RUNTIME} run --name=${LIBPOD_INSTANCE} --privileged -v ${PWD}:/go/src/${PROJECT} --rm ${LIBPOD_IMAGE} env GOOS=darwin go build -ldflags '$(LDFLAGS_PODMAN)' -tags "remoteclient containers_image_openpgp exclude_graphdriver_devicemapper" -o bin/podman-remote-darwin $(PROJECT)/cmd/podman

.PHONY: test
test: libpodimage ## Run tests on built image
	${CONTAINER_RUNTIME} run -e STORAGE_OPTIONS="--storage-driver=vfs" -e TESTFLAGS -e OCI_RUNTIME -e CGROUP_MANAGER=cgroupfs -e TRAVIS -t --privileged --rm -v ${CURDIR}:/go/src/${PROJECT} ${LIBPOD_IMAGE} make clean all localunit install.catatonit localintegration

.PHONY: integration
integration: libpodimage ## Execute integration tests
	${CONTAINER_RUNTIME} run -e STORAGE_OPTIONS="--storage-driver=vfs" -e TESTFLAGS -e OCI_RUNTIME -e CGROUP_MANAGER=cgroupfs -e TRAVIS -t --privileged --rm -v ${CURDIR}:/go/src/${PROJECT} ${LIBPOD_IMAGE} make clean all install.catatonit localintegration

.PHONY: integration.fedora
integration.fedora:
	DIST=Fedora sh .papr_prepare.sh

.PHONY: integration.centos
integration.centos:
	DIST=CentOS sh .papr_prepare.sh

.PHONY: shell
shell: libpodimage ## Run the built image and attach a shell
	${CONTAINER_RUNTIME} run -e STORAGE_OPTIONS="--storage-driver=vfs" -e CGROUP_MANAGER=cgroupfs -e TESTFLAGS -e OCI_RUNTIME -e TRAVIS -it --privileged --rm -v ${CURDIR}:/go/src/${PROJECT} ${LIBPOD_IMAGE} sh

.PHONY: testunit
testunit: libpodimage ## Run unittest on the built image
	${CONTAINER_RUNTIME} run -e STORAGE_OPTIONS="--storage-driver=vfs" -e TESTFLAGS -e CGROUP_MANAGER=cgroupfs -e OCI_RUNTIME -e TRAVIS -t --privileged --rm -v ${CURDIR}:/go/src/${PROJECT} ${LIBPOD_IMAGE} make localunit

.PHONY: localunit
localunit: test/goecho/goecho varlink_generate
	ginkgo \
		-r \
		$(TESTFLAGS) \
		--skipPackage test/e2e,pkg/apparmor,test/endpoint,pkg/bindings \
		--cover \
		--covermode atomic \
		--tags "$(BUILDTAGS)" \
		--succinct

.PHONY: ginkgo
ginkgo:
	ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor -nodes 3 -debug test/e2e/.

.PHONY: ginkgo-remote
ginkgo-remote:
	ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS) remoteclient" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor test/e2e/.

.PHONY: endpoint
endpoint:
	ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor -debug test/endpoint/.

.PHONY: localintegration
localintegration: varlink_generate test-binaries ginkgo

.PHONY: remoteintegration
remoteintegration: varlink_generate test-binaries ginkgo-remote

=== debian/changelog ===
podman (1.8.0~1) testing; urgency=medium

  * autobuilt v1.8.0-rc1

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 31 Jan 2020 19:10:19 +0000

podman (1.7.0~6) stable; urgency=medium

  * depend on iptables 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 31 Jan 2020 09:58:41 -0500

podman (1.7.0~5) stable; urgency=medium

  * use containers-common >= 0.1.40-9 
  * use containers-image >= 5.1.0~2 for correct registries.conf setup

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 28 Jan 2020 09:44:06 -0500

podman (1.7.0~4) stable; urgency=medium

  * do not install docker manpages 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 27 Jan 2020 14:08:34 -0500

podman (1.7.0~3) stable; urgency=medium

  * recommend varlink dep 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 23 Jan 2020 11:12:27 +0530

podman (1.7.0~2) stable; urgency=medium

  * disable dh_auto_configure for armv7l success

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 22 Jan 2020 19:51:39 +0530

podman (1.7.0~1) stable; urgency=medium

  * bump to v1.7.0

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 16 Jan 2020 13:03:24 +0000

podman (1.6.4~2) stable; urgency=medium

  * use seccomp buildtag 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 23 Dec 2019 18:04:40 +0000

podman (1.6.4~1) stable; urgency=medium

  * bump to v1.6.4 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 23:24:00 +0000

podman (1.6.3~15) stable; urgency=medium

  * create TMPFILESDIR dir 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 05 Dec 2019 13:59:36 +0000

podman (1.6.3~14) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 03:53:55 +0000

podman (1.6.3~13) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 03:23:48 +0000

podman (1.6.3~12) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 02:39:49 +0000

podman (1.6.3~11) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 19:53:11 +0000

podman (1.6.3~10) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 19:40:48 +0000

podman (1.6.3~9) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 18:43:55 +0000

podman (1.6.3~8) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:55:30 +0000

podman (1.6.3~7) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:28:45 +0000

podman (1.6.3~6) stable; urgency=medium

  * update GO_BUILD def 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:05:24 +0000

podman (1.6.3~5) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 16:44:20 +0000

podman (1.6.3~4) stable; urgency=medium

  * correct golang binary location 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 15:27:08 +0000

podman (1.6.3~3) stable; urgency=medium

  * rebuild on OBS 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 14:27:49 +0000

podman (1.6.3~2ubuntu1) stable; urgency=medium

  * make changelog more generic 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 17 Nov 2019 21:47:30 +0000

podman (1.6.3~1) stable; urgency=medium

  * bump to v1.6.3

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sat, 09 Nov 2019 20:48:43 +0000

podman (1.6.1-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:10:28 +0000

podman (1.6.1-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:56:02 +0000

podman (1.6.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 07 Oct 2019 14:27:24 +0000

podman (1.5.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.5.1

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 04 Sep 2019 00:16:36 +0000

podman (1.5.0-2~ubuntu19.04~ppa7) disco; urgency=medium

  * install podman-remote, enable varlink 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 19 Aug 2019 14:32:42 +0000

podman (1.5.0-2~ubuntu19.04~ppa6) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 12 Aug 2019 18:42:06 +0000

podman (1.5.0-2~ubuntu19.04~ppa5) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 12 Aug 2019 18:33:07 +0000

podman (1.5.0-2~ubuntu19.04~ppa4) disco; urgency=medium

  * don't install seccomp.json 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 12 Aug 2019 18:22:59 +0000

podman (1.5.0-2~ubuntu19.04~ppa3) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar <lsm5-bot@7487a80043b9>  Sun, 11 Aug 2019 19:44:51 +0000

podman (1.5.0-1~ubuntu19.04~ppa2) disco; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 11 Aug 2019 18:39:45 +0000

podman (1.5.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.5.0

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 11 Aug 2019 17:51:53 +0000

podman (1.4.4-2~ubuntu19.04~ppa4) disco; urgency=medium

  * correct install-time deps 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 20:56:37 +0000

podman (1.4.4-2~ubuntu19.04~ppa3) disco; urgency=medium

  * build dep on libbtrfs-dev

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:03:08 +0000

podman (1.4.4-2~ubuntu19.04~ppa2) disco; urgency=medium

  * build correctly for disco

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 14:31:59 +0000

podman (1.4.4-1~git591ed25~ubuntu18.04~ppa1) bionic; urgency=medium

  * bump to 1.4.4



=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
DH_GOPKG=github.com/containers/libpod
BUILDDIR := $(shell pwd)
DESTDIR := $(BUILDDIR)/debian/podman
PREFIX := $(DESTDIR)/usr
ETCDIR := $(DESTDIR)/etc
BINDIR := $(PREFIX)/bin
MANDIR := $(PREFIX)/share/man
SYSTEMDDIR := $(PREFIX)/lib/systemd/system
USERSYSTEMDDIR := $(PREFIX)/lib/systemd/user
SHAREDIR_CONTAINERS := $(PREFIX)/share/containers
BASHINSTALLDIR := $(PREFIX)/share/bash-completion/comletions
ZSHINSTALLDIR := $(PREFIX)/share/zsh/site-functions
TMPFILESDIR := $(PREFIX)/lib/tmpfiles.d
BUILDTAGS +=apparmor exclude_graphdriver_devicemapper exclude_graphdriver_btrfs seccomp systemd varlink
BUILD_INFO=$(shell date +%s)
LDFLAGS_PODMAN="-X main.buildInfo=$(BUILD_INFO)"
GO := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go
GO_BUILD := $(GO) build
GO_GENERATE := $(GO) generate
UPSTREAM_TAG=v1.8.0-rc1

%:
	dh_clean
	rm -rf $(BUILDDIR)/src
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	# Include vendored dependencies.
	cp -rp $(BUILDDIR)/vendor $(BUILDDIR)/src
	mkdir -p $(BUILDDIR)/src/github.com/containers
	ln -s $(BUILDDIR) $(BUILDDIR)/src/$(DH_GOPKG)

override_dh_auto_build:
	$(GO_GENERATE) ./cmd/podman/varlink/...
	$(GO_BUILD) -tags '$(BUILDTAGS)' -ldflags '$(LDFLAGS_PODMAN)' -o bin/podman $(DH_GOPKG)/cmd/podman
	$(GO_BUILD) -tags '$(BUILDTAGS) remoteclient' -ldflags '$(LDFLAGS_PODMAN)' -o bin/podman-remote $(DH_GOPKG)/cmd/podman
	make docs
	rm -rf $(BUILDDIR)/obj-*-linux-gnu

override_dh_auto_test:

override_dh_auto_install:
	# install.bin and install.remote
	install -dp $(BINDIR)
	install -m 755 bin/podman $(BINDIR)
	install -m 755 bin/podman-remote $(BINDIR)
	# install.cni
	install -dm 755 $(ETCDIR)/cni/net.d/
	install -m 644 cni/87-podman-bridge.conflist $(ETCDIR)/cni/net.d
	# install.completions
	install -dp $(BASHINSTALLDIR) $(ZSHINSTALLDIR)
	install -m 644 completions/bash/podman $(BASHINSTALLDIR)
	install -m 644 completions/zsh/_podman $(ZSHINSTALLDIR)
	# install.config
	install -dp $(SHAREDIR_CONTAINERS)
	install -m 644 libpod.conf $(SHAREDIR_CONTAINERS)
	# install.man
	install -dp $(MANDIR)/man1
	install -dp $(MANDIR)/man5
	install -m 644 docs/build/man/podman*.1 $(MANDIR)/man1
	install -m 644 docs/source/markdown/links/*1 $(MANDIR)/man1
	# install.systemd
	install -dp $(SYSTEMDDIR) $(USERSYSTEMDDIR) $(TMPFILESDIR)
	install -m 644 contrib/varlink/io.podman.socket $(SYSTEMDDIR)
	install -m 644 contrib/varlink/io.podman.socket $(USERSYSTEMDDIR)
	install -m 644 contrib/varlink/io.podman.service $(SYSTEMDDIR)
	sed -e 's,^WantedBy=.*,WantedBy=default.target,' < contrib/varlink/io.podman.service > $(USERSYSTEMDDIR)/io.podman.service
	install -m 644 contrib/varlink/podman.conf $(TMPFILESDIR)

override_dh_golang:

## podman 1.8.0~2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 GO ?= go
 DESTDIR ?=
-EPOCH_TEST_COMMIT ?= $(shell git merge-base HEAD $${DEST_BRANCH:-master})
+EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-master} HEAD)
 HEAD ?= HEAD
 CHANGELOG_BASE ?= HEAD~
 CHANGELOG_TARGET ?= HEAD
@@ -132,6 +132,9 @@
 endef
 export PRINT_HELP_PYSCRIPT
 
+# Dereference variable $(1), return value if non-empty, otherwise raise an error.
+err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required variable $(1) value is undefined, whitespace, or empty))
+
 .PHONY: help
 help:
 	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
@@ -146,6 +149,7 @@
 
 .PHONY: lint
 lint: golangci-lint
+	@echo "Linting vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
 ifeq ($(PRE_COMMIT),)
 	@echo "FATAL: pre-commit was not found, check https://pre-commit.com/ about installing it." >&2
 	@exit 2
@@ -300,11 +304,3 @@
 
 .PHONY: endpoint
 endpoint:
-	ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor -debug test/endpoint/.
-
-.PHONY: localintegration
-localintegration: varlink_generate test-binaries ginkgo
-
-.PHONY: remoteintegration
-remoteintegration: varlink_generate test-binaries ginkgo-remote
-

=== pkg/api/Makefile ===
export GO111MODULE=off

SWAGGER_OUT ?= swagger.yaml

validate: ${SWAGGER_OUT}
	swagger validate ${SWAGGER_OUT}

.PHONY: ${SWAGGER_OUT}
${SWAGGER_OUT}:
	# generate doesn't remove file on error
	rm -f ${SWAGGER_OUT}
	swagger generate spec -o ${SWAGGER_OUT} -i tags.yaml -w ./

=== vendor/github.com/containers/buildah/Makefile ===
export GOPROXY=https://proxy.golang.org

SELINUXTAG := $(shell ./selinux_tag.sh)
APPARMORTAG := $(shell hack/apparmor_tag.sh)
STORAGETAGS := $(shell ./btrfs_tag.sh) $(shell ./btrfs_installed_tag.sh) $(shell ./libdm_tag.sh)
SECURITYTAGS ?= seccomp $(SELINUXTAG) $(APPARMORTAG)
TAGS ?= $(SECURITYTAGS) $(STORAGETAGS)
BUILDTAGS += $(TAGS)
PREFIX := /usr/local
BINDIR := $(PREFIX)/bin
BASHINSTALLDIR = $(PREFIX)/share/bash-completion/completions
BUILDFLAGS := -tags "$(BUILDTAGS)"
BUILDAH := buildah

GO := go
GO110 := 1.10
GOVERSION := $(findstring $(GO110),$(shell go version))
# test for go module support
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
export GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
else
export GO_BUILD=$(GO) build
endif

GIT_COMMIT ?= $(if $(shell git rev-parse --short HEAD),$(shell git rev-parse --short HEAD),$(error "git failed"))
SOURCE_DATE_EPOCH ?= $(if $(shell date +%s),$(shell date +%s),$(error "date failed"))
STATIC_STORAGETAGS = "containers_image_openpgp exclude_graphdriver_devicemapper $(STORAGE_TAGS)"

CNI_COMMIT := $(shell sed -n 's;\tgithub.com/containernetworking/cni \([^ \n]*\).*$\;\1;p' go.mod)
#RUNC_COMMIT := $(shell sed -n 's;\tgithub.com/opencontainers/runc \([^ \n]*\).*$\;\1;p' go.mod)
RUNC_COMMIT := v1.0.0-rc8
LIBSECCOMP_COMMIT := release-2.3

EXTRALDFLAGS :=
LDFLAGS := -ldflags '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT)' $(EXTRALDFLAGS)
SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go cmd/buildah/*.go docker/*.go pkg/blobcache/*.go pkg/cli/*.go pkg/parse/*.go util/*.go

all: buildah imgtype docs

.PHONY: static
static: $(SOURCES)
	$(MAKE) SECURITYTAGS="$(SECURITYTAGS)" STORAGETAGS=$(STATIC_STORAGETAGS) EXTRALDFLAGS='-ldflags "-extldflags '-static'"' BUILDAH=buildah.static binary

.PHONY: binary
binary:  $(SOURCES)
	$(GO_BUILD) $(LDFLAGS) -o $(BUILDAH) $(BUILDFLAGS) ./cmd/buildah

buildah: binary

darwin:
	GOOS=darwin $(GO_BUILD) $(LDFLAGS) -o buildah.darwin -tags "containers_image_openpgp" ./cmd/buildah

imgtype: *.go docker/*.go util/*.go tests/imgtype/imgtype.go
	$(GO_BUILD) $(LDFLAGS) -o imgtype $(BUILDFLAGS) ./tests/imgtype/imgtype.go

.PHONY: clean
clean:
	$(RM) -r buildah imgtype build buildah.static buildah.darwin tests/testreport/testreport
	$(MAKE) -C docs clean

.PHONY: docs
docs: install.tools ## build the docs on the host
	$(MAKE) -C docs

# For vendoring to work right, the checkout directory must be such that our top
# level is at $GOPATH/src/github.com/containers/buildah.
.PHONY: gopath
gopath:
	test $(shell pwd) = $(shell cd ../../../../src/github.com/containers/buildah ; pwd)

codespell:
	codespell -S build,buildah,buildah.spec,imgtype,AUTHORS,bin,vendor,.git,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L uint,iff,od

.PHONY: validate
validate: install.tools
	@./tests/validate/whitespace.sh
	@./tests/validate/git-validation.sh

.PHONY: install.tools
install.tools:
	make -C tests/tools

.PHONY: runc
runc: gopath
	rm -rf ../../opencontainers/runc
	git clone https://github.com/opencontainers/runc ../../opencontainers/runc
	cd ../../opencontainers/runc && git checkout $(RUNC_COMMIT) && $(GO) build -tags "$(STORAGETAGS) $(SECURITYTAGS)"
	ln -sf ../../opencontainers/runc/runc

.PHONY: install.libseccomp.sudo
install.libseccomp.sudo: gopath
	rm -rf ../../seccomp/libseccomp
	git clone https://github.com/seccomp/libseccomp ../../seccomp/libseccomp
	cd ../../seccomp/libseccomp && git checkout $(LIBSECCOMP_COMMIT) && ./autogen.sh && ./configure --prefix=/usr && make all && sudo make install

.PHONY: install.cni.sudo
install.cni.sudo: gopath
	rm -rf ../../containernetworking/plugins
	git clone https://github.com/containernetworking/plugins ../../containernetworking/plugins
	cd ../../containernetworking/plugins && ./build.sh && mkdir -p /opt/cni/bin && sudo install -v -m755 bin/* /opt/cni/bin/

.PHONY: install
install:
	install -D -m0755 buildah $(DESTDIR)/$(BINDIR)/buildah
	$(MAKE) -C docs install

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/buildah
	rm -f $(PREFIX)/share/man/man1/buildah*.1
	rm -f $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.completions
install.completions:
	install -m 644 -D contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.runc
install.runc:
	install -m 755 ../../opencontainers/runc/runc $(DESTDIR)/$(BINDIR)/

.PHONY: test-integration
test-integration: install.tools
	./tests/tools/build/ginkgo $(BUILDFLAGS) -v tests/e2e/.
	cd tests; ./test_runner.sh

tests/testreport/testreport: tests/testreport/testreport.go
	$(GO_BUILD) -ldflags "-linkmode external -extldflags -static" -tags "$(STORAGETAGS) $(SECURITYTAGS)" -o tests/testreport/testreport ./tests/testreport

.PHONY: test-unit
test-unit: tests/testreport/testreport
	$(GO) test -v -tags "$(STOAGETAGS) $(SECURITYTAGS)" -race $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd)
	tmp=$(shell mktemp -d) ; \
	mkdir -p $$tmp/root $$tmp/runroot; \
	$(GO) test -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" ./cmd/buildah -args -root $$tmp/root -runroot $$tmp/runroot -storage-driver vfs -signature-policy $(shell pwd)/tests/policy.json -registries-conf $(shell pwd)/tests/registries.conf

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.13 make vendor

.PHONY: vendor
vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

.PHONY: lint
lint: install.tools
	./tests/tools/build/golangci-lint run

=== debian/changelog ===
podman (1.8.0~2) testing; urgency=medium

  * bump release tag

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 07 Feb 2020 18:33:28 -0500

=== debian/control ===
Source: podman
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
    libassuan-dev,
    libgpgme11-dev,
    libseccomp-dev,
    libsystemd-dev,
    dh-golang,
    golang,
    libglib2.0-dev,
    go-md2man,
    git
Standards-Version: 4.3.0
Homepage: https://github.com/containers/libpod.git
Vcs-Git: git://github.com/lsm5/libpod.git

Package: podman
Architecture: any
Depends: ${misc:Depends},
    libseccomp2,
    libdevmapper1.02.1,
    libgpgme11,
    conmon (>=1.0.0),
    containers-common (>=0.1.40-9),
    cri-o-runc,
    iptables
Recommends: slirp4netns,
   containernetworking-plugins (>=0.8.1),
   uidmap,
   varlink
Description: Manage pods, containers and container images.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 GO := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go
 GO_BUILD := $(GO) build
 GO_GENERATE := $(GO) generate
-UPSTREAM_TAG=v1.8.0-rc1
+UPSTREAM_TAG=v1.8.0
 
 %:
 	dh_clean
